# MessageBird SMS Gateway Plugin for Moodle

A Moodle plugin that enables sending SMS messages through the MessageBird API.

## Description

This plugin integrates MessageBird's SMS gateway service with Moodle, allowing administrators to send SMS messages to users through the MessageBird API. It provides a reliable and efficient way to send notifications and alerts via SMS.

## Features

- Integration with MessageBird's SMS API
- Configurable sender name
- Support for international phone numbers
- Easy setup and configuration
- Compatible with Moodle's messaging system
- Supports Multi-Factor Authentication (MFA)

## Requirements
- Moodle 4.5 or later
- A MessageBird account and API key
- Valid phone number for sending SMS

## Installation and Configuration

### Step 1: Install the Plugin
1. Go to Site administration > Plugins > Install plugins
2. Upload the plugin file
3. Follow the installation wizard

### Step 2: Configure the SMS Gateway
1. Go to Site administration > Plugins > Message outputs > Manage SMS gateways
2. Click "Create new SMS gateway"
3. Select "MessageBird" from the list of providers
4. Fill in the required configuration:
   - API Key
   - Sender name
   - Other required settings
5. Click "Save changes"

## Documentation

For detailed documentation on specific features, please refer to:
- [Multi-Factor Authentication Configuration](docs/mfa-configuration.md)

## Support

For support, please:
- Check the [Moodle documentation](https://docs.moodle.org/)
- Visit the [MessageBird documentation](https://developers.messagebird.com/docs)
- Contact the plugin maintainers through the issue tracker

## License

This plugin is licensed under the GNU General Public License v3 or later. See the [LICENSE](LICENSE) file for details.

## Authors

- RvS
- RvD

## Version Information

- Current version: 2024.12.18
- Requires Moodle: 2024.10.01
- Status: Stable

